body {
    margin: 0;
    font-family: Arial, sans-serif;
}

header {
    background-color: #001F3F;
    padding: 10px 0;
    position: relative;
    z-index: 10; /* Asegura que el header esté por encima de otros elementos */
}

.navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}

.logo {
    display: flex;
    align-items: center;
}

.logo-img {
    max-height: 50px;
}

.area-penal-title {
    color: #001F3F;
}


.nav {
    list-style: none;
    display: flex;
    gap: 20px;
    position: relative;
    z-index: 10; /* Asegura que el nav esté por encima de otros elementos */
}

.nav-item a {
    color: #fff;
    text-decoration: none;
}

.nav-item.dropdown .dropdown-menu {
    background-color: #001F3F; /* Cambia el color de fondo del submenu */
    border: none; /* Quita el borde del submenu */
}

.dropdown-item {
    color: #fff; /* Cambia el color del texto de los elementos del submenu */
}

.dropdown-item:hover {
    background-color: #0056b3; /* Color de fondo al pasar el ratón por encima */
}

.social-icons {
    display: flex;
    gap: 10px;
}

.social-icons img {
    width: 24px;
    height: 24px;
}

.menu-toggle {
    display: none;
    flex-direction: column;
    cursor: pointer;
    z-index: 10; /* Asegura que el menú toggle esté por encima de otros elementos */
}

.menu-toggle .bar {
    width: 25px;
    height: 3px;
    background-color: #fff;
    margin: 4px 0;
}

@media (max-width: 768px) {
    .nav {
        display: none;
        flex-direction: column;
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        background-color: #001F3F;
        padding: 10px;
        margin: 0;
        z-index: 10; /* Asegura que el nav esté por encima de otros elementos */
    }
    
    .menu-toggle {
        display: flex;
    }
    
    .nav.showing {
        display: flex;
    }

    .carousel-indicators {
        display: none;
    }
}

.carousel-item img {
    width: 100%;
    height: auto;
}

.carousel-caption {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #fff;
    text-align: center;
}

.fixed-caption {
    font-size: 2rem;
}

.our-services {
    padding: 50px 20px;
    background-color: #f4f4f4;
}

.our-services h2 {
    text-align: center;
    margin-bottom: 30px;
}

.services-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}

.service {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    width: 300px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    text-align: center;
}

.service img {
    width: 100%;
    height: auto;
    border-radius: 8px;
}

.service h3 {
    margin: 20px 0;
}

.service ul {
    list-style: none;
    padding: 0;
}

.service ul li {
    text-align: left;
    margin-bottom: 10px;
}

.service .more-info {
    display: inline-block;
    margin-top: 20px;
    padding: 10px 20px;
    background-color: #001F3F;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
}

footer {
    background-color: #001F3F;
    color: #ffffffc8;
    text-align: center;
    padding: 30px 0;
}

footer p {
    line-height: 0.3; /* Reduce el interlineado */
}

.whatsapp-icon {
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 50px;
    height: 50px;
    z-index: 10; /* Asegura que el ícono esté por encima de otros elementos */
}

.whatsapp-icon img {
    width: 100%;
    height: auto;
}

img.img-fluid {
    width: 100%;
    height: auto;
}
